pub mod config;
mod padcontrol;
mod zabbix;

use config::Config;
use zabbix::problems::ZabbixLayout;

fn main() {
    let mut datamatrix = ZabbixLayout { layout: Vec::new() };

    // parse arguments
    let matches = config::argparse();

    // load configuration
    let configfile = matches.value_of("config").unwrap_or("config.json");
    let mut cfg = Config::new();
    cfg.load(&configfile);
    zabbix::api::get_zabbix_authtoken(&mut cfg);
    cfg.save(&configfile);

    // init/connect to launchpad and clear it
    let (mut canvas, mut _poller) = padcontrol::initpad();
    //padcontrol::input(&mut canvas, &mut _poller);
    padcontrol::draw(&mut canvas, &mut datamatrix, &mut cfg);
}
